Index: /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/QuickTime.pm
===================================================================
--- /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/QuickTime.pm	(revision 34920)
+++ /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/QuickTime.pm	(revision 34921)
@@ -940,4 +1899,5 @@
         SubDirectory => {
             TagTable => 'Image::ExifTool::Exif::Main',
+            ProcessProc => \&Image::ExifTool::Exif::ProcessExif, # (because ProcessMOV is default)
             DirName => 'IFD0',
             Start => 16,
@@ -946,4 +1906,363 @@
         },
     },
+    # ---- Garmin ---- (ref PH)
+    uuid => [{
+        Name => 'GarminSoftware', # (NC)
+        Condition => '$$valPt =~ /^VIRBactioncamera/',
+        RawConv => 'substr($val, 16)',
+        RawConvInv => '"VIRBactioncamera$val"',
+    },{
+        # have seen "28 f3 11 e2 b7 91 4f 6f 94 e2 4f 5d ea cb 3c 01" for RicohThetaZ1 accelerometer RADT data (not yet decoded)
+        Name => 'UUID-Unknown',
+        Writable => 0,
+        %unknownInfo,
+    }],
+    pmcc => {
+        Name => 'GarminSettings',
+        ValueConv => 'substr($val, 4)',
+        ValueConvInv => '"\0\0\0\x01$val"',
+    },
+    # hmtp - "\0\0\0\x01" followed by 408 bytes of zero
+    # vrin - "\0\0\0\x01" followed by 8 bytes of zero
+    # ---- GoPro ---- (ref PH)
+    GoPr => 'GoProType', # (Hero3+)
+    FIRM => { Name => 'FirmwareVersion', Avoid => 1 }, # (Hero4)
+    LENS => 'LensSerialNumber', # (Hero4)
+    CAME => { # (Hero4)
+        Name => 'SerialNumberHash',
+        Description => 'Camera Serial Number Hash',
+        ValueConv => 'unpack("H*",$val)',
+        ValueConvInv => 'pack("H*",$val)',
+    },
+    # SETT? 12 bytes (Hero4)
+    # MUID? 32 bytes (Hero4, starts with serial number hash)
+    # HMMT? 404 bytes (Hero4, all zero)
+    # BCID? 26 bytes (Hero5, all zero), 36 bytes GoPro Max
+    # GUMI? 16 bytes (Hero5)
+   "FOV\0" => 'FieldOfView', #forum8938 (Hero2) seen: "Wide"
+    GPMF => {
+        Name => 'GoProGPMF',
+        SubDirectory => { TagTable => 'Image::ExifTool::GoPro::GPMF' },
+    },
+    # free (all zero)
+    "\xa9TSC" => 'StartTimeScale', # (Hero6)
+    "\xa9TSZ" => 'StartTimeSampleSize', # (Hero6)
+    "\xa9TIM" => 'StartTimecode', #PH (NC)
+    # --- HTC ----
+    htcb => {
+        Name => 'HTCBinary',
+        SubDirectory => { TagTable => 'Image::ExifTool::QuickTime::HTCBinary' },
+    },
+    # ---- Kodak ----
+    DcMD => {
+        Name => 'KodakDcMD',
+        SubDirectory => { TagTable => 'Image::ExifTool::Kodak::DcMD' },
+    },
+    SNum => { Name => 'SerialNumber', Avoid => 1, Groups => { 2 => 'Camera' } },
+    ptch => { Name => 'Pitch', Format => 'rational64s', Avoid => 1 }, # Units??
+    _yaw => { Name => 'Yaw',   Format => 'rational64s', Avoid => 1 }, # Units??
+    roll => { Name => 'Roll',  Format => 'rational64s', Avoid => 1 }, # Units??
+    _cx_ => { Name => 'CX',    Format => 'rational64s', Unknown => 1 },
+    _cy_ => { Name => 'CY',    Format => 'rational64s', Unknown => 1 },
+    rads => { Name => 'Rads',  Format => 'rational64s', Unknown => 1 },
+    lvlm => { Name => 'LevelMeter', Format => 'rational64s', Unknown => 1 }, # (guess)
+    Lvlm => { Name => 'LevelMeter', Format => 'rational64s', Unknown => 1 }, # (guess)
+    pose => { Name => 'pose', SubDirectory => { TagTable => 'Image::ExifTool::Kodak::pose' } },
+    # AMBA => Ambarella AVC atom (unknown data written by Kodak Playsport video cam)
+    # tmlp - 1 byte: 0 (PixPro SP360/4KVR360)
+    # pivi - 72 bytes (PixPro SP360)
+    # pive - 12 bytes (PixPro SP360)
+    # loop - 4 bytes: 0 0 0 0 (PixPro 4KVR360)
+    # m cm - 2 bytes: 0 0 (PixPro 4KVR360)
+    # m ev - 2 bytes: 0 0 (PixPro SP360/4KVR360) (exposure comp?)
+    # m vr - 2 bytes: 0 1 (PixPro 4KVR360) (virtual reality?)
+    # m wb - 4 bytes: 0 0 0 0 (PixPro SP360/4KVR360) (white balance?)
+    # mclr - 4 bytes: 0 0 0 0 (PixPro SP360/4KVR360)
+    # mmtr - 4 bytes: 0,6 0 0 0 (PixPro SP360/4KVR360)
+    # mflr - 4 bytes: 0 0 0 0 (PixPro SP360)
+    # lvlm - 24 bytes (PixPro SP360)
+    # Lvlm - 24 bytes (PixPro 4KVR360)
+    # ufdm - 4 bytes: 0 0 0 1 (PixPro SP360)
+    # mtdt - 1 byte: 0 (PixPro SP360/4KVR360)
+    # gdta - 75240 bytes (PixPro SP360)
+    # EIS1 - 4 bytes: 03 07 00 00 (PixPro 4KVR360)
+    # EIS2 - 4 bytes: 04 97 00 00 (PixPro 4KVR360)
+    # ---- LG ----
+    adzc => { Name => 'Unknown_adzc', Unknown => 1, Hidden => 1, %langText }, # "false\0/","true\0/"
+    adze => { Name => 'Unknown_adze', Unknown => 1, Hidden => 1, %langText }, # "false\0/"
+    adzm => { Name => 'Unknown_adzm', Unknown => 1, Hidden => 1, %langText }, # "\x0e\x04/","\x10\x06"
+    # ---- Microsoft ----
+    Xtra => { #PH (microsoft)
+        Name => 'MicrosoftXtra',
+        SubDirectory => { TagTable => 'Image::ExifTool::Microsoft::Xtra' },
+    },
+    # ---- Minolta ----
+    MMA0 => { #PH (DiMage 7Hi)
+        Name => 'MinoltaMMA0',
+        SubDirectory => { TagTable => 'Image::ExifTool::Minolta::MMA' },
+    },
+    MMA1 => { #PH (Dimage A2)
+        Name => 'MinoltaMMA1',
+        SubDirectory => { TagTable => 'Image::ExifTool::Minolta::MMA' },
+    },
+    # ---- Nikon ----
+    NCDT => { #PH
+        Name => 'NikonNCDT',
+        SubDirectory => { TagTable => 'Image::ExifTool::Nikon::NCDT' },
+    },
+    # ---- Olympus ----
+    scrn => { #PH (TG-810)
+        Name => 'OlympusPreview',
+        Condition => '$$valPt =~ /^.{4}\xff\xd8\xff\xdb/s',
+        SubDirectory => { TagTable => 'Image::ExifTool::Olympus::scrn' },
+    },
+    # ---- Panasonic/Leica ----
+    PANA => { #PH
+        Name => 'PanasonicPANA',
+        SubDirectory => { TagTable => 'Image::ExifTool::Panasonic::PANA' },
+    },
+    LEIC => { #PH
+        Name => 'LeicaLEIC',
+        SubDirectory => { TagTable => 'Image::ExifTool::Panasonic::PANA' },
+    },
+    # ---- Pentax ----
+    thmb => [ # (apparently defined by 3gpp, ref 16)
+        { #PH (Pentax Q)
+            Name => 'MakerNotePentax5a',
+            Condition => '$$valPt =~ /^PENTAX \0II/',
+            SubDirectory => {
+                TagTable => 'Image::ExifTool::Pentax::Main',
+                ProcessProc => \&Image::ExifTool::Exif::ProcessExif, # (because ProcessMOV is default)
+                Start => 10,
+                Base => '$start - 10',
+                ByteOrder => 'LittleEndian',
+            },
+        },{ #PH (TG-810)
+            Name => 'OlympusThumbnail',
+            Condition => '$$valPt =~ /^.{4}\xff\xd8\xff\xdb/s',
+            SubDirectory => { TagTable => 'Image::ExifTool::Olympus::thmb' },
+        },{ #17 (format is in bytes 3-7)
+            Name => 'ThumbnailImage',
+            Condition => '$$valPt =~ /^.{8}\xff\xd8\xff[\xdb\xe0]/s',
+            Groups => { 2 => 'Preview' },
+            RawConv => 'substr($val, 8)',
+            Binary => 1,
+        },{ #17 (format is in bytes 3-7)
+            Name => 'ThumbnailPNG',
+            Condition => '$$valPt =~ /^.{8}\x89PNG\r\n\x1a\n/s',
+            Groups => { 2 => 'Preview' },
+            RawConv => 'substr($val, 8)',
+            Binary => 1,
+        },{
+            Name => 'UnknownThumbnail',
+            Groups => { 2 => 'Preview' },
+            Binary => 1,
+        },
+    ],
+    PENT => { #PH
+        Name => 'PentaxPENT',
+        SubDirectory => {
+            TagTable => 'Image::ExifTool::Pentax::PENT',
+            ByteOrder => 'LittleEndian',
+        },
+    },
+    PXTH => { #PH (Pentax K-01)
+        Name => 'PentaxPreview',
+        SubDirectory => { TagTable => 'Image::ExifTool::Pentax::PXTH' },
+    },
+    PXMN => [{ #PH (Pentax K-01)
+        Name => 'MakerNotePentax5b',
+        Condition => '$$valPt =~ /^PENTAX \0MM/',
+        SubDirectory => {
+            TagTable => 'Image::ExifTool::Pentax::Main',
+            ProcessProc => \&Image::ExifTool::Exif::ProcessExif, # (because ProcessMOV is default)
+            Start => 10,
+            Base => '$start - 10',
+            ByteOrder => 'BigEndian',
+        },
+    },{ #PH (Pentax 645Z)
+        Name => 'MakerNotePentax5c',
+        Condition => '$$valPt =~ /^PENTAX \0II/',
+        SubDirectory => {
+            TagTable => 'Image::ExifTool::Pentax::Main',
+            ProcessProc => \&Image::ExifTool::Exif::ProcessExif, # (because ProcessMOV is default)
+            Start => 10,
+            Base => '$start - 10',
+            ByteOrder => 'LittleEndian',
+        },
+    },{
+        Name => 'MakerNotePentaxUnknown',
+        Binary => 1,
+    }],
+    # ---- Ricoh ----
+    RTHU => { #PH (GR)
+        Name => 'PreviewImage',
+        Groups => { 2 => 'Preview' },
+        RawConv => '$self->ValidateImage(\$val, $tag)',
+    },
+    RMKN => { #PH (GR)
+        Name => 'RicohRMKN',
+        SubDirectory => {
+            TagTable => 'Image::ExifTool::Exif::Main',
+            ProcessProc => \&Image::ExifTool::ProcessTIFF, # (because ProcessMOV is default)
+        },
+    },
+    '@mak' => { Name => 'Make',     Avoid => 1 },
+    '@mod' => { Name => 'Model',    Avoid => 1 },
+    '@swr' => { Name => 'SoftwareVersion', Avoid => 1 },
+    '@day' => {
+        Name => 'ContentCreateDate',
+        Notes => q{
+            some stupid Ricoh programmer used the '@' symbol instead of the copyright
+            symbol in these tag ID's for the Ricoh Theta Z1 and maybe other models
+        },
+        Groups => { 2 => 'Time' },
+        Shift => 'Time',
+        Avoid => 1,
+        # handle values in the form "2010-02-12T13:27:14-0800"
+        ValueConv => q{
+            require Image::ExifTool::XMP;
+            $val =  Image::ExifTool::XMP::ConvertXMPDate($val);
+            $val =~ s/([-+]\d{2})(\d{2})$/$1:$2/; # add colon to timezone if necessary
+            return $val;
+        },
+        ValueConvInv => q{
+            require Image::ExifTool::XMP;
+            my $tmp = Image::ExifTool::XMP::FormatXMPDate($val);
+            ($val = $tmp) =~ s/([-+]\d{2}):(\d{2})$/$1$2/ if defined $tmp; # remove time zone colon
+            return $val;
+        },
+        PrintConv => '$self->ConvertDateTime($val)',
+        PrintConvInv => '$self->InverseDateTime($val,1)', # (add time zone if it didn't exist)
+    },
+    '@xyz' => { #PH (iPhone 3GS)
+        Name => 'GPSCoordinates',
+        Groups => { 2 => 'Location' },
+        Avoid => 1,
+        ValueConv => \&ConvertISO6709,
+        ValueConvInv => \&ConvInvISO6709,
+        PrintConv => \&PrintGPSCoordinates,
+        PrintConvInv => \&PrintInvGPSCoordinates,
+    },
+    # RDT1 - pairs of int32u_BE, starting at byte 8: "458275 471846"
+    # RDT2 - pairs of int32u_BE, starting at byte 8: "472276 468526"
+    # RDT3 - pairs of int32u_BE, starting at byte 8: "876603 482191"
+    # RDT4 - pairs of int32u_BE, starting at byte 8: "1955 484612"
+    # RDT6 - empty
+    # RDT7 - empty
+    # RDT8 - empty
+    # RDT9 - only 16-byte header?
+    # the boxes below all have a similar header (little-endian):
+    #  0 int32u - number of records
+    #  4 ? - "1e 00"
+    #  6 int16u - record length in bytes
+    #  8 ? - "23 01 00 00 00 00 00 00"
+    #  16 - start of records (each record ends in an int64u timestamp in ns)
+    # RDTA - float[4],ts: "-0.31289672 -0.2245330 11.303817 0 775.780"
+    # RDTB - float[4],ts: "-0.04841613 -0.2166595 0.0724792 0 775.780"
+    # RDTC - float[4],ts: "27.60925 -27.10037 -13.27285 0 775.829"
+    # RDTD - int16s[3],ts: "353 -914 16354 0 775.829"
+    # RDTG - ts: "775.825"
+    # RDTI - float[4],ts: "0.00165951 0.005770059 0.06838259 0.1744695 775.862"
+    # ---- Samsung ----
+    vndr => 'Vendor', #PH (Samsung PL70)
+    SDLN => 'PlayMode', #PH (NC, Samsung ST80 "SEQ_PLAY")
+    INFO => {
+        Name => 'SamsungINFO',
+        SubDirectory => { TagTable => 'Image::ExifTool::Samsung::INFO' },
+    },
+   '@sec' => { #PH (Samsung WB30F)
+        Name => 'SamsungSec',
+        SubDirectory => { TagTable => 'Image::ExifTool::Samsung::sec' },
+    },
+    'smta' => { #PH (Samsung SM-C101)
+        Name => 'SamsungSmta',
+        SubDirectory => {
+            TagTable => 'Image::ExifTool::Samsung::smta',
+            Start => 4,
+        },
+    },
+    cver => 'CodeVersion', #PH (guess, Samsung MV900F)
+    # ducp - 4 bytes all zero (Samsung ST96,WB750), 52 bytes all zero (Samsung WB30F)
+    # edli - 52 bytes all zero (Samsung WB30F)
+    # @etc - 4 bytes all zero (Samsung WB30F)
+    # saut - 4 bytes all zero (Samsung SM-N900T)
+    # smrd - string "TRUEBLUE" (Samsung SM-C101)
+    # ---- TomTom Bandit Action Cam ----
+    TTMD => {
+        Name => 'TomTomMetaData',
+        SubDirectory => { TagTable => 'Image::ExifTool::QuickTime::TomTom' },
+    },
+    # ---- Samsung Gear 360 ----
+    vrot => {
+        Name => 'AccelerometerData',
+        Notes => q{
+            accelerometer readings for each frame of the video, expressed as sets of
+            yaw, pitch and roll angles in degrees
+        },
+        Format => 'rational64s',
+        ValueConv => '$val =~ s/^-?\d+ //; \$val', # (ignore leading version/size words)
+    },
+    # m360 - 8 bytes "0 0 0 0 0 0 0 1"
+    # opax - 164 bytes unknown (center and affine arrays? ref 26)
+    # opai - 32 bytes (maybe contains a serial number starting at byte 16? - PH) (rgb gains, degamma, gamma? ref 26)
+    # intv - 16 bytes all zero
+    # ---- Unknown ----
+    # CDET - 128 bytes (unknown origin)
+    # mtyp - 4 bytes all zero (some drone video)
+    # kgrf - 8 bytes all zero ? (in udta inside trak atom)
+    # kgcg - 128 bytes 0's and 1's
+    # kgsi - 4 bytes "00 00 00 80"
+    # FIEL - 18 bytes "FIEL\0\x01\0\0\0..."
+#
+# other 3rd-party tags
+# (ref http://code.google.com/p/mp4parser/source/browse/trunk/isoparser/src/main/resources/isoparser-default.properties?r=814)
+#
+    ccid => 'ContentID',
+    icnu => 'IconURI',
+    infu => 'InfoURL',
+    cdis => 'ContentDistributorID',
+    albr => { Name => 'AlbumArtist', Groups => { 2 => 'Author' } },
+    cvru => 'CoverURI',
+    lrcu => 'LyricsURI',
+
+    tags => {   # found in Audible .m4b audio books (ref PH)
+        Name => 'Audible_tags',
+        SubDirectory => { TagTable => 'Image::ExifTool::Audible::tags' },
+    },
+);
+
+# Unknown information stored in HTC One (M8) videos - PH
+%Image::ExifTool::QuickTime::HTCBinary = (
+    PROCESS_PROC => \&Image::ExifTool::ProcessBinaryData,
+    GROUPS => { 0 => 'MakerNotes', 1 => 'HTC', 2 => 'Video' },
+    TAG_PREFIX => 'HTCBinary',
+    FORMAT => 'int32u',
+    FIRST_ENTRY => 0,
+    # 0 - values: 1
+    # 1 - values: 0
+    # 2 - values: 0
+    # 3 - values: FileSize minus 12 (why?)
+    # 4 - values: 12
+);
+
+# TomTom Bandit Action Cam metadata (ref PH)
+%Image::ExifTool::QuickTime::TomTom = (
+    PROCESS_PROC => \&ProcessMOV,
+    GROUPS => { 2 => 'Video' },
+    NOTES => 'Tags found in TomTom Bandit Action Cam MP4 videos.',
+    TTAD => {
+        Name => 'TomTomAD',
+        SubDirectory => {
+            TagTable => 'Image::ExifTool::QuickTime::Stream',
+            ProcessProc => \&Image::ExifTool::QuickTime::ProcessTTAD,
+        },
+    },
+    TTHL => { Name => 'TomTomHL', Binary => 1, Unknown => 1 }, # (mostly zeros)
+    # (TTID values are different for each video)
+    TTID => { Name => 'TomTomID', ValueConv => 'unpack("x4H*",$val)' },
+    TTVI => { Name => 'TomTomVI', Format => 'int32u', Unknown => 1 }, # seen: "0 1 61 508 508"
+    # TTVD seen: "normal 720p 60fps 60fps 16/9 wide 1x"
+    TTVD => { Name => 'TomTomVD', ValueConv => 'my @a = ($val =~ /[\x20-\x7f]+/g); "@a"' },
 );
 
@@ -960,5 +2279,5 @@
 # User-specific media data atoms (ref 11)
 %Image::ExifTool::QuickTime::MetaData = (
-    PROCESS_PROC => \&Image::ExifTool::QuickTime::ProcessMetaData,
+    PROCESS_PROC => \&ProcessMetaData,
     GROUPS => { 2 => 'Video' },
     TAG_PREFIX => 'MetaData',
@@ -967,7 +2286,13 @@
         Name => 'ProductionDate',
         Groups => { 2 => 'Time' },
+        Shift => 'Time',
+        Writable => 1,
+        Permanent => 1,
+        DelValue => '0000/00/00 00:00:00',
         # translate from format "YYYY/mm/dd HH:MM:SS"
         ValueConv => '$val=~tr{/}{:}; $val',
+        ValueConvInv => '$val=~s[^(\d{4}):(\d{2}):][$1/$2/]; $val',
         PrintConv => '$self->ConvertDateTime($val)',
+        PrintConvInv => '$self->InverseDateTime($val)',
     },
     0x04 => 'Software',
@@ -985,14 +2310,38 @@
         Name => 'TimeZone',
         Groups => { 2 => 'Time' },
+        Writable => 1,
+        Permanent => 1,
+        DelValue => 0,
         RawConv => 'Get16s(\$val,0)',
+        RawConvInv => 'Set16s($val)',
         PrintConv => 'TimeZoneString($val)',
+        PrintConvInv => q{
+            return undef unless $val =~ /^([-+])(\d{1,2}):?(\d{2})$/'
+            my $tzmin = $2 * 60 + $3;
+            $tzmin = -$tzmin if $1 eq '-';
+            return $tzmin;
+        }
     },
     0x0c => {
         Name => 'ModifyDate',
         Groups => { 2 => 'Time' },
+        Shift => 'Time',
+        Writable => 1,
+        Permanent => 1,
+        DelValue => '0000/00/00 00:00:00',
         # translate from format "YYYY/mm/dd HH:MM:SS"
         ValueConv => '$val=~tr{/}{:}; $val',
+        ValueConvInv => '$val=~s[^(\d{4}):(\d{2}):][$1/$2/]; $val',
         PrintConv => '$self->ConvertDateTime($val)',
-    },
+        PrintConvInv => '$self->InverseDateTime($val)',
+    },
+);
+
+# compressed movie atoms (ref http://wiki.multimedia.cx/index.php?title=QuickTime_container#cmov)
+%Image::ExifTool::QuickTime::CMovie = (
+    PROCESS_PROC => \&ProcessMOV,
+    GROUPS => { 2 => 'Video' },
+    dcom => 'Compression',
+    # cmvd - compressed moov atom data
 );
 
@@ -1012,4 +2361,11 @@
         Name => 'VideoProfile',
         SubDirectory => { TagTable => 'Image::ExifTool::QuickTime::VideoProf' },
+    },
+    OLYM => { #PH
+        Name => 'OlympusOLYM',
+        SubDirectory => {
+            TagTable => 'Image::ExifTool::Olympus::OLYM',
+            ByteOrder => 'BigEndian',
+        },
     },
 );
@@ -1130,5 +2486,6 @@
 %Image::ExifTool::QuickTime::Meta = (
     PROCESS_PROC => \&ProcessMOV,
-    GROUPS => { 2 => 'Video' },
+    WRITE_PROC => \&WriteQuickTime,
+    GROUPS => { 1 => 'Meta', 2 => 'Video' },
     ilst => {
         Name => 'ItemList',
@@ -1144,6 +2501,6 @@
     },
     dinf => {
-        Name => 'DataInformation',
-        Flags => ['Binary','Unknown'],
+        Name => 'DataInfo', # (don't change this name -- used to recognize directory when writing)
+        SubDirectory => { TagTable => 'Image::ExifTool::QuickTime::DataInfo' },
     },
     ipmc => {
@@ -1153,5 +2510,7 @@
     iloc => {
         Name => 'ItemLocation',
-        Flags => ['Binary','Unknown'],
+        RawConv => \&ParseItemLocation,
+        WriteHook => \&ParseItemLocation,
+        Notes => 'parsed, but not extracted as a tag',
     },
     ipro => {
@@ -1159,11 +2518,25 @@
         Flags => ['Binary','Unknown'],
     },
-    iinf => {
+    iinf => [{
         Name => 'ItemInformation',
-        Flags => ['Binary','Unknown'],
-    },
+        Condition => '$$valPt =~ /^\0/', # (check for version 0)
+        SubDirectory => {
+            TagTable => 'Image::ExifTool::QuickTime::ItemInfo',
+            Start => 6, # (4-byte version/flags + 2-byte count)
+        },
+    },{
+        Name => 'ItemInformation',
+        SubDirectory => {
+            TagTable => 'Image::ExifTool::QuickTime::ItemInfo',
+            Start => 8, # (4-byte version/flags + 4-byte count)
+        },
+    }],
    'xml ' => {
         Name => 'XML',
-        SubDirectory => { TagTable => 'Image::ExifTool::XMP::Main' },
+        Flags => [ 'Binary', 'Protected' ],
+        SubDirectory => {
+            TagTable => 'Image::ExifTool::XMP::XML',
+            IgnoreProp => { NonRealTimeMeta => 1 }, # ignore container for Sony 'nrtm'
+        },
     },
    'keys' => {
